Package com.macrofocus.high_d.parallelcoordinates

# Enum Class ParallelCoordinatesView.PropertyType

java.lang.Object
java.lang.Enum<ParallelCoordinatesView.PropertyType>
com.macrofocus.high_d.parallelcoordinates.ParallelCoordinatesView.PropertyType

All Implemented Interfaces:
  `Serializable`, `Comparable<ParallelCoordinatesView.PropertyType>`, `Constable`

Enclosing interface:
  `ParallelCoordinatesView<Component,Color,Row,Column>`

public static enum ParallelCoordinatesView.PropertyType extends Enum<ParallelCoordinatesView.PropertyType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Alignment`
  `AllowScrolling`
  `Antialiasing`
  `AxisLine`
  `ColoredTransparency`
  `ColorTheme`
  `ColumnSize`
  `Geometry`
  `ProbeFiltered`
  `Rendering`
  `ShowFiltered`
  `ShowProbedValues`
  `ShowTiming`
  `ShowVisible`
  `Tooltip`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ParallelCoordinatesView.PropertyType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ParallelCoordinatesView.PropertyType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ShowTiming

    public static final ParallelCoordinatesView.PropertyType ShowTiming

  - ### ShowFiltered

    public static final ParallelCoordinatesView.PropertyType ShowFiltered

  - ### Antialiasing

    public static final ParallelCoordinatesView.PropertyType Antialiasing

  - ### Geometry

    public static final ParallelCoordinatesView.PropertyType Geometry

  - ### AxisLine

    public static final ParallelCoordinatesView.PropertyType AxisLine

  - ### Alignment

    public static final ParallelCoordinatesView.PropertyType Alignment

  - ### ShowVisible

    public static final ParallelCoordinatesView.PropertyType ShowVisible

  - ### ColoredTransparency

    public static final ParallelCoordinatesView.PropertyType ColoredTransparency

  - ### Tooltip

    public static final ParallelCoordinatesView.PropertyType Tooltip

  - ### Rendering

    public static final ParallelCoordinatesView.PropertyType Rendering

  - ### ProbeFiltered

    public static final ParallelCoordinatesView.PropertyType ProbeFiltered

  - ### ColorTheme

    public static final ParallelCoordinatesView.PropertyType ColorTheme

  - ### ShowProbedValues

    public static final ParallelCoordinatesView.PropertyType ShowProbedValues

  - ### ColumnSize

    public static final ParallelCoordinatesView.PropertyType ColumnSize

  - ### AllowScrolling

    public static final ParallelCoordinatesView.PropertyType AllowScrolling

- ## Method Details

  - ### values

    public static ParallelCoordinatesView.PropertyType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ParallelCoordinatesView.PropertyType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null